spark_load_table {sparklyr} | R Documentation

## Reads from a Spark Table into a Spark DataFrame.

### Description

Reads from a Spark Table into a Spark DataFrame.

### Usage

    spark_load_table(sc, name, path, options = list(), repartition = 0,
      memory = TRUE, overwrite = TRUE)

### Arguments

`sc` | A `spark_connection`.
`name` | The name to assign to the newly generated table.
`path` | The path to the file. Needs to be accessible from the cluster. Supports the "hdfs://", "s3n://" and "file://" protocols.
`options` | A list of strings with additional options. See http://spark.apache.org/docs/latest/sql-programming-guide.html#configuration.
`repartition` | The number of partitions used to distribute the generated table. Use 0 (the default) to avoid partitioning.
`memory` | Boolean; should the data be loaded eagerly into memory? (That is, should the table be cached?)
`overwrite` | Boolean; overwrite the table with the given name if it already exists?

### See Also

Other Spark serialization routines: `spark_read_csv`, `spark_read_jdbc`, `spark_read_json`, `spark_read_parquet`, `spark_read_source`, `spark_read_table`, `spark_read_text`, `spark_save_table`, `spark_write_csv`, `spark_write_jdbc`, `spark_write_json`, `spark_write_parquet`, `spark_write_source`, `spark_write_table`, `spark_write_text`

[Package sparklyr version 0.6.3 Index]